#ifndef FPS_H
#define FPS_H

#include "SDL_render.h"

enum fps_indices {
  FPS_12,
  FPS_23_976,
  FPS_24,
  FPS_25,
  FPS_29_97,
  FPS_30,
  FPS_48,
  FPS_50,
  FPS_59_94,
  FPS_60,

  COUNT_FPS,
};

// clang-format off
const char *fps_names[] = {
  [FPS_12] = "12.0",
  [FPS_23_976] = "23.976",
  [FPS_24] = "24.0",
  [FPS_25] = "25.0",
  [FPS_29_97] = "29.97",
  [FPS_30] = "30.0",
  [FPS_48] = "48.0",
  [FPS_50] = "50.0",
  [FPS_59_94] = "59.94",
  [FPS_60] = "60.0",
};
// clang-format on

SDL_Texture *fps_textures[COUNT_FPS] = {0};
SDL_Texture *fps_textures_selected[COUNT_FPS] = {0};
#endif // !FPS_H
